/*
 * ChangeBoxAction.hpp
 *
 *  Created on: May 8, 2010
 *      Author: heber
 */

#ifndef CHANGEBOXACTION_HPP_
#define CHANGEBOXACTION_HPP_

#include "Actions/Action.hpp"

class WorldChangeBoxAction : public Action {
public:
  WorldChangeBoxAction();
  virtual ~WorldChangeBoxAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Dialog * createDialog();
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* CHANGEBOXACTION_HPP_ */
